Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.mail.smime.test
Class SMIMECompressedTest

    java.lang.Object
      TestCase
          org.bouncycastle.mail.smime.test.SMIMECompressedTest

    public class SMIMECompressedTest

extends TestCase

Constructor Summary
`SMIMECompressedTest(java.lang.String name)`

Method Summary
`static void` `main(java.lang.String[] args)`
`static Test` `suite()`
`void` `testBasic()`
`void` `testCompressedSHA1WithRSA()`
`void` `testHeaders()`
`void` `testParser()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SMIMECompressedTest

    public SMIMECompressedTest(java.lang.String name)
                        throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### main

    public static void main(java.lang.String[] args)

### suite

    public static Test suite()

### testHeaders

    public void testHeaders()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBasic

    public void testBasic()
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testParser

    public void testParser()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testCompressedSHA1WithRSA

    public void testCompressedSHA1WithRSA()
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Bouncy Castle Cryptography Library 1.45